PDA

Visualizza la versione completa : Che errore e' ? (Knoppix-Debian)


StormFire
02-07-2004, 17:49
Premesso che con debian ho poca famigliarita',ho installato la Knoppix3.4 su un'hardisk dove di solito smanetto (quando ho tempo,e cioe mai !!!) e credo che sia andato tutto a buon fine.Ho cominciato ad aggiornarla e dopo aver scaricato i 363 pacchetti, non li ha installati tutti dandomi un'errore!!! Nuovi tentativi di upgrade ma niente da fare; Mi da sempre lo stesso errore che riporto qui sotto.
Che errore e',e che roba e' Pipe Rotta ?
A parte il quasi sicuro metter mano al Kernel,che mi consigliate,anche se sono molto dell'idea di un bel fdisk/mbr e' piallo tutto ?!!?


root@box:/home/mario# apt-get dist-upgrade
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
consigliabile eseguire `apt-get -f install' per correggere questi problemi.
I seguenti pacchetti hanno dipendenze non soddisfatte:
testdisk: Dipende: libntfs5 (>= 1.9.0) ma non installato
E: Dipendenze non trovate. Riprovare usando -f.
root@box:/home/mario# apt-get dist-upgrade -f
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
Correzione delle dipendenze in corso... Fatto
Calcolo dell'aggiornamento in corso... Fatto
I seguenti pacchetti NUOVI (NEW) saranno installati:
libntfs5
The following packages have been kept back:
cloop-utils frozen-bubble-data libkdeedu1 libxft2 mknbi pppconfig xlibmesa-dri
0 aggiornati, 1 installati, 0 da rimuovere e 7 non aggiornati.
363 non completamente installati o rimossi.
necessario prendere 0B/57,3kB di archivi.
Dopo l'estrazione, verranno occupati 156kB di spazio su disco.
Continuare? [S/n] s
(Lettura del database ... 106955 file e directory attualmente installati.)
Spacchettamento di libntfs5 (da .../libntfs5_1.9.0-1_i386.deb) ...
dpkg: errore processando /var/cache/apt/archives/libntfs5_1.9.0-1_i386.deb (--unpack):
tentata sovrascrittura di `/usr/lib/libntfs.so.5.0.0', che si trova anche nel pacchetto ntfsprogs
dpkg-deb: il sottoprocesso paste stato terminato dal segnale (Pipe rotta)
Sono occorsi degli errori processando:
/var/cache/apt/archives/libntfs5_1.9.0-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@box:/home/mario#


:) :) :ciauz:

alkat
02-07-2004, 18:18
non ti so rispondere, ma non sono pochi che hanno avuto problemi con dist-upgrade su knoppix.

knoppix imbattibile come distro live, ma installata presenta alcuni inconvenienti. per esperienza personale posso solo parlare di casini in seguito al dist-upgrade a testing/unstable (quindi con il sources.list fornito da knoppix): dopo l'aggiornamento il sistema era diventato terribilmente instabile (applicazioni che si bloccavano, altre non partivano, ecc.). leggendo in giro ho scoperto che molti avevano avuto problemi simili.

altre distro basate su debian causano meno casini. personalmente ti consiglio di provare mepis. in questi giorni poi stata pubblicata una versione free anche di libranet 2.8.1 che da quanto ho letto in giro dev'essere un gioiellino. entrambe sembra non creino problemi con gli aggiornamenti. io uso la quarta beta della mepis e con aggiornamenti quasi quotidiani non ho avuto nessun problema rilevante.


.a.

Alessio Gi
02-07-2004, 18:31
Il miglior consiglio che ti posso dare far diventare la Knoppix una Debian Sid. :adhone:
Ho avuto anch'io i tuoi problemi all'inizio ma da quando ho scelto di trasformare Knoppix in Sid sono un uomo felice. :D

:ciauz:

StormFire
02-07-2004, 18:46
Originariamente inviato da Alessio Gi
Il miglior consiglio che ti posso dare far diventare la Knoppix una Debian Sid. :adhone:
Ho avuto anch'io i tuoi problemi all'inizio ma da quando ho scelto di trasformare Knoppix in Sid sono un uomo felice. :D

:ciauz:


La strada piu' (breve/facile) per farlo quale sarebbe ?

:)

andy caps
02-07-2004, 18:58
deb ftp://ftp2.it.debian.org/debian/ unstable main non-free contrib
deb-src ftp://ftp2.it.debian.org/debian/ unstable main non-free contrib
deb http://non-us.debian.org/debian-non-US unstable/non-US main contrib non-free
deb-src http://non-us.debian.org/debian-non-US unstable/non-US main contrib non-free
deb ftp://ftp.nerim.net/debian-marillat/ unstable main

metti solo queste righe in /etc/apt/sources.list
poi dai update e dist-upgrade senza f

Alessio Gi
02-07-2004, 19:04
Mettere mano ai file apt.conf e sources.list (si trovano in /etc/apt/) cos:

- apt.conf

APT::default-Release "unstable";


- sources.list

commenta il resto o crea un nuovo file e metti queste righe:

deb http://ftp2.fr.debian.org/debian/ unstable main contrib non-free
deb http://ftp2.fr.debian.org/debian-non-US/ unstable/non-US main contrib non-free

deb-src http://ftp2.fr.debian.org/debian/ unstable main contrib non-free
deb-src http://ftp2.fr.debian.org/debian-non-US/ unstable/non-US main contrib non-free

deb ftp://ftp.nerim.net/debian-marillat/ unstable main


A questo punto fai un apt-get update e poi un apt-get dist-upgrade


:ciauz:

ooops sono arrivato -esimo :D

mykol
02-07-2004, 19:11
Il miglior consiglio che ti posso dare far diventare la Knoppix una Debian Sid.
Ho avuto anch'io i tuoi problemi all'inizio ma da quando ho scelto di trasformare Knoppix in Sid sono un uomo felice


... anch'io ...

Per farla diventare sid devi sostituire i repository presenti in /etc/apt/sources.list con quelli della sid.

Quali siano quelli aggiornati non saprei, perch da un p che non lo faccio.

Aspettiamo l'aiuto di qualcuno che sia pi al corrente ...

Dopo darei

# apt-get update

... prova a leggerti /knoppix/knoppix-cheatcodes.txt sul Cd Knoppix ...

# apt-get dist-upgrade

(man apt-get)

StormFire
02-07-2004, 19:12
Tank You.

Come sempre......siete mitici!!!

:) :) :ciauz:

mykol
02-07-2004, 19:13
... bruciato in volata ... pure Andy ed Alessio G con i repository giusti ... cosa si pu volere di pi ?

StormFire
03-07-2004, 12:49
Niente da fare!!!!
Sempre sto errore su questa maledetta libreria libntfs5_1.9.0-1_i386.deb :dh: :dh:

Pensando di aver comunque pasticciato con la prima installazione,ho rifatto tutto da capo sull'hardisk completamente "pulito" e ovviamente cambiando la sorgente apt come da voi consigliatomi. Alla fine dello scaricamento,non riesce a finire di nuovo per quest'errore!!!!
Che faccio ?

Loading